#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 46. Printing

- Prev

  ghostscript-10.04.0

- Next

  libcupsfilters-2.1.1

- Up
- Home

# Gutenprint-5.3.4

## Introduction to Gutenprint

The Gutenprint (formerly Gimp-Print) package contains high quality drivers for many brands and models of printers for use with Cups-2.4.11. See a list of supported printers at https://gutenprint.sourceforge.net/p_Supported_Printers.php.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/gimp-print/gutenprint-5.3.4.tar.xz

- Download MD5 sum: dc208cfb873f13a93439185c15aa6f81

- Download size: 5.1 MB

- Estimated disk space required: 59 MB (without tests)

- Estimated build time: 0.4 SBU (without tests)

### Gutenprint Dependencies

#### Recommended

Cups-2.4.11

#### Recommended (at runtime)

Two families of DyeSub photo printers each require another library at runtime. Unless you have one of these devices you will not want these libraries.

For the Sinfonia S6145 and the Ciaat Brava 21, libS6145ImageReProcess, see Peachy Photos (Sinfonia) for instructions on how to build and test this.

For the Mitsubishi D70 family and the similar Kodak 305, libMitsuD70ImageReProcess, see Peachy Photos (Mitsubishi CP-D70) for instructions on how to build and test this.

#### Optional (to Regenerate Documentation)

ImageMagick-7.1.1-43, texlive-20240312 (or install-tl-unx), Doxygen-1.13.2, and DocBook-utils-0.6.14

## Kernel Configuration

If you intend to use escputil with a USB-connected Epson Stylus printer for commands such as --ink-level which need to access the raw device, you must enable the kernel's usblp driver. Enable the following options in your kernel configuration and recompile the kernel:

    Device Drivers --->
      [*] USB support --->                                             [USB_SUPPORT]
        <*/M> USB Printer support                                      [USB_PRINTER]

## Installation of Gutenprint

Install Gutenprint by running the following commands:

    sed -i 's|$(PACKAGE)/doc|doc/$(PACKAGE)-$(VERSION)|' \
           {,doc/,doc/developer/}Makefile.in &&

    ./configure --prefix=/usr                 \
                --disable-static              \
                --without-gimp2               \
                --without-gimp2-as-gutenprint &&
    make

To test the results, issue: make check. The tests take a very long time and use a lot of disk space. When last tested (version 5.2.15 in June 2019) this needed 75 SBU and 13.5 GB to complete the tests (one test, rastertogutenprint failed because the CUPS ppds are for a previous version. Maybe genppds should be run before the tests). Note that the tests used only one CPU.

Now, as the `root` user:

    make install &&
    install -v -m755 -d /usr/share/doc/gutenprint-5.3.4/api/gutenprint{,ui2} &&
    install -v -m644    doc/gutenprint/html/* \
                        /usr/share/doc/gutenprint-5.3.4/api/gutenprint &&
    install -v -m644    doc/gutenprintui2/html/* \
                        /usr/share/doc/gutenprint-5.3.4/api/gutenprintui2

## Command Explanations

sed -i '...' ...Makefile.in: This command is used so that the package documentation is installed in the conventional `/usr/share/doc` directory structure instead of `/usr/share/gutenprint/doc`.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--without-gimp2`: This switch disables support for GIMP because it has not been updated to support GIMP3 yet.

## Configuring Gutenprint

### Configuration Information

For CUPS to see newly installed print drivers, it has to be restarted (as the `root` user):

    /etc/rc.d/init.d/cups restart

Then point your web browser to http://localhost:631/ to add a new printer to CUPS.

## Contents

Installed Programs: cups-calibrate, cups-genppd.5.2, cups-genppdupdate, escputil, and testpattern
Installed Libraries: libgutenprint.so, libgutenprintui2.so and optionally, various CUPS filters and backend drivers under /usr/lib/gutenprint/5.2/modules/
Installed Directories: /usr/{include,lib,share}/gutenprint, /usr/include/gutenprintui2 and /usr/share/doc/gutenprint-5.3.4

### Short Descriptions

cups-calibrate | calibrates the color output of printers using the Gutenprint, CUPS or ESP Print Pro drivers
cups-genppd.5.2 | generates Gutenprint PPD files for use with CUPS
cups-genppdupdate | regenerates the Gutenprint PPD files in use by CUPS
escputil | is a command line utility to perform various maintenance tasks on Epson Stylus inkjet printers
testpattern | is a test program to learn how to use libgutenprint

- Prev

  ghostscript-10.04.0

- Next

  libcupsfilters-2.1.1

- Up
- Home